import org.eclipse.swt.*;
import org.eclipse.swt.widgets.*;

public class SliderScaleDemo {

	public static Display myDisplay;
	public static boolean internalCall = false;

	public static void main(String[] args) {
		internalCall = true;
		myDisplay = new Display();
		SliderScaleDemo ssd = new SliderScaleDemo();
		ssd.runDemo(myDisplay);
	}

	public void runDemo(Display display) {
		myDisplay = display;
		Shell shell = new Shell(display);
		shell.setSize(300,300);
		shell.setText("Slider Scale Demo");

		Slider slider1 = new Slider(shell, SWT.HORIZONTAL);
		slider1.setBounds(0,0,200,20);
		slider1.setSelection(50);
		slider1.setMaximum(100);
		slider1.setMinimum(0);
		slider1.setThumb(30);

		Scale scale1 = new Scale(shell, SWT.HORIZONTAL);
		scale1.setBounds(0,40,200,40);
		scale1.setMinimum(0);
		scale1.setMaximum(500);
		scale1.setSelection(100);
		scale1.setPageIncrement(50);

		shell.open();

		while(!shell.isDisposed()){
		if(!display.readAndDispatch())
			display.sleep();
		}
		if (internalCall) display.dispose();
	}
}
