import org.eclipse.swt.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.events.*;

class ButtonMitListener extends SelectionAdapter
{
	Button eineSchaltflche;
	Text einTextFeld;

	public static void main(String[] args)
	{
		Display display = new Display();
		new ButtonMitListener("Schaltflche mit Nachrichtenverarbeitung");
		// Schleife wird solange durchlaufen, wie noch 
		// nicht geschlossene Fenster vorhanden sind		
		while(display.getShells().length != 0)
			if(!display.readAndDispatch())
				display.sleep();
	}

	public ButtonMitListener(String Titel)
	{
		// Anlegen des Fensters
		Display display = Display.getCurrent();
		if(display == null)
			display = new Display();
		Shell dasFenster = new Shell(display);
		
		dasFenster.setSize(300, 100);
		dasFenster.setText(Titel);
		dasFenster.setLayout(new FillLayout(SWT.VERTICAL));

		eineSchaltflche = new Button(dasFenster, SWT.PUSH);
		eineSchaltflche.setText("Text eintragen");
		// Schalflche bekommt ein Lauschobjekt zugewiesen
		eineSchaltflche.addSelectionListener(this);

		einTextFeld = new Text(dasFenster, SWT.BORDER|SWT.WRAP);
		dasFenster.open();
	}
	
	// Implementierung der in der Schnittstelle
	// ActionListener enthaltenen Methode actionPerformed()
	public void widgetSelected(SelectionEvent e)
	{
		// Das Attribut widget gibt das Quell-Widget zurck
		if (e.widget == eineSchaltflche)
		{
			// Beispieltext wird im Textfeld angehngt
			einTextFeld.setText(einTextFeld.getText() + " Test text wurde ausgegeben.");
		}
	}

}
