import java.util.Date;
import org.eclipse.swt.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.layout.*;
import org.eclipse.swt.events.*;
import org.eclipse.swt.graphics.*; 

class Multicast implements MouseMoveListener
{
	Display display;
	
	public static void main(String[] args)
	{
		Display display = new Display();
		new Multicast("Mehrfaches Abfangen des gleichen Nachrichtentyps");
		// Schleife wird solange durchlaufen, wie noch 
		// nicht geschlossene Fenster vorhanden sind		
		while(display.getShells().length != 0)
			if(!display.readAndDispatch())
				display.sleep();
	}

	public Multicast(String Titel)
	{
		// Anlegen des Fensters
		display = Display.getCurrent();
		if(display == null)
			display = new Display();
		Shell dasFenster = new Shell(display);

		dasFenster.setText(Titel);
		dasFenster.setSize(250, 150);
		dasFenster.setLayout(new FillLayout());
		dasFenster.addMouseMoveListener(this);

		Composite eineFlaeche = new Composite(dasFenster, SWT.NONE);
		eineFlaeche.setBackground(display.getSystemColor(SWT.COLOR_WHITE));
		eineFlaeche.setLayout(new FormLayout());
		eineFlaeche.addMouseMoveListener(this);

		FormData formFill = new FormData();
		formFill.top = new FormAttachment(0, 5);
		formFill.left = new FormAttachment(50, -100);
		formFill.height = 100;
		formFill.width = 200;

		Canvas eineZeichenFlaeche = new Canvas(eineFlaeche, SWT.NONE);
		eineZeichenFlaeche.setLayoutData(formFill);
		eineZeichenFlaeche.setBackground(display.getSystemColor(SWT.COLOR_GRAY));
		eineZeichenFlaeche.addMouseMoveListener(this);
		
		dasFenster.open();

	}

	public void mouseMove(MouseEvent einMausEreignis)
	{
		Control quelle = (Control)einMausEreignis.getSource();
		Rectangle rechteck = quelle.getBounds();
		String ausgabe = quelle.getClass().toString();
		String layout = "";
		if (quelle instanceof Composite && ((Composite)quelle).getLayout() != null)
			layout = ",layout=" + ((Composite)quelle).getLayout().toString(); 
		ausgabe = ausgabe.substring(6);
		ausgabe += "[" + rechteck.x + "," + rechteck.y + "," +
					rechteck.width + "x" + rechteck.height +
					layout + "]";
		
		System.out.println(	"\nNachrichtentyp: " + einMausEreignis.toString() +
							"\nNachrichtenquelle: " + ausgabe +
							// die Zeitangabe funktioniert nicht richtig
							// oder enthlt ein unbekanntes Format
							"\nZeitpunkt: " + new Date((long)einMausEreignis.time).toString() +
							"\nPosition: " + einMausEreignis.x + ", " + einMausEreignis.y);

	}
}