import java.awt.*;
import javax.swing.*;

class JAlleLayouts
{
	public static void main(String[] args)
	{
		// Hauptfenster erzeugen
		JFrame dasFenster = new JFrame("Ein eigenes Fenster");
		dasFenster.setSize(650,400);
		dasFenster.setLocation(10,10);

		// Erste Flche mit Grid-Layout
		JPanel flaeche = new JPanel();
		flaeche.setLayout(new GridLayout(2,2));
		flaeche.setSize(600, 400);
		dasFenster.getContentPane().add(BorderLayout.CENTER, flaeche);

		// Zweite Flche mit Flow-Layout
		JPanel a = new JPanel();
		a.setSize(300, 200);
		a.setLayout(new FlowLayout());
		a.setBackground(new Color(150,150,150));
		a.add(new JButton("Der Knopf"));
		a.add(new JTextField("meinText"));
		a.add(new JButton("noch ein Knopf"));
		a.add(new JTextField("zweiter Text"));
		a.add(new JScrollBar());

		// Dritte Flche mit Border-Layout
		JPanel b = new JPanel();
		b.setSize(300, 200);
		b.setLayout(new BorderLayout());
		b.setBackground(new Color(200,200,200));
		b.add(BorderLayout.WEST, new JButton("Der Knopf"));
		b.add(BorderLayout.EAST, new JTextField("meinText"));
		b.add(BorderLayout.SOUTH, new JButton("noch ein Knopf"));
		b.add(BorderLayout.NORTH, new JTextField("zweiter Text"));
		b.add(BorderLayout.CENTER, new JScrollBar());

		// Vierte Flche mit Card-Layout
		JPanel c = new JPanel();
		c.setSize(300, 200);
		c.setLayout(new CardLayout());
		c.setBackground(new Color(100,100,100));
		c.add("eins", new JButton("Der Knopf"));
		c.add("zwei", new JTextField("meinText"));
		c.add("drei", new JButton("noch ein Knopf"));
		c.add("vier", new JTextField("zweiter Text"));
		c.add("fnf", new JScrollBar());
		//((CardLayout)c.getLayout()).next(c);

		// Fnfte Flche mit Grid-Layout
		JPanel d = new JPanel();
		d.setSize(300, 200);
		d.setLayout(new GridLayout(2,2));
		d.add(new JButton("Der Knopf"));
		d.add(new JTextField("meinText"));
		d.add(new JButton("noch ein Knopf"));
		d.add(new JScrollBar());

		// Flchen 2 bis 5 zu Flche 1 hinzufgen
		flaeche.add(a);
		flaeche.add(b);
		flaeche.add(c);
		flaeche.add(d);
		
		// Hauptfenster anzeigen
		dasFenster.setVisible(true);
	}
}